curl --request PUT \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/property-lists/{listId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/property-lists/{listId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/property-lists/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"propertyList": {
"listId": "42",
"name": "Q1 Campaign - UK Premium",
"purpose": "include",
"identifiers": [
{
"type": "domain",
"value": "<string>"
}
],
"unresolvedIdentifiers": [
{
"type": "domain",
"value": "<string>"
}
],
"registeredIdentifiers": [
{
"type": "domain",
"value": "<string>"
}
],
"domains": [
"<string>"
],
"unresolvedDomains": [
"<string>"
],
"registeredDomains": [
"<string>"
],
"propertyCount": 25,
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-01-20T14:45:00.000Z",
"resolutionSummary": {
"totalRequested": 500,
"resolvedCount": 432,
"registeredCount": 12,
"unresolvedCount": 56,
"resolutionRate": 0.864
},
"cascadeSummary": {
"totalMediaBuys": 4,
"updatedCount": 3,
"failedCount": 1
},
"filters": {
"channels_any": [
"display",
"olv"
],
"countries_all": [
"US",
"GB"
],
"property_types": [
"website"
],
"feature_requirements": [
{
"feature_id": "<string>",
"min_value": 123,
"max_value": 123,
"allowed_values": [
"<unknown>"
],
"if_not_covered": "exclude"
}
]
},
"status": "ready",
"errorMessage": "<string>"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Update property list
Update a property list name and/or replace domains entirely.
curl --request PUT \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/property-lists/{listId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/property-lists/{listId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/property-lists/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"propertyList": {
"listId": "42",
"name": "Q1 Campaign - UK Premium",
"purpose": "include",
"identifiers": [
{
"type": "domain",
"value": "<string>"
}
],
"unresolvedIdentifiers": [
{
"type": "domain",
"value": "<string>"
}
],
"registeredIdentifiers": [
{
"type": "domain",
"value": "<string>"
}
],
"domains": [
"<string>"
],
"unresolvedDomains": [
"<string>"
],
"registeredDomains": [
"<string>"
],
"propertyCount": 25,
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-01-20T14:45:00.000Z",
"resolutionSummary": {
"totalRequested": 500,
"resolvedCount": 432,
"registeredCount": 12,
"unresolvedCount": 56,
"resolutionRate": 0.864
},
"cascadeSummary": {
"totalMediaBuys": 4,
"updatedCount": 3,
"failedCount": 1
},
"filters": {
"channels_any": [
"display",
"olv"
],
"countries_all": [
"US",
"GB"
],
"property_types": [
"website"
],
"feature_requirements": [
{
"feature_id": "<string>",
"min_value": 123,
"max_value": 123,
"allowed_values": [
"<unknown>"
],
"if_not_covered": "exclude"
}
]
},
"status": "ready",
"errorMessage": "<string>"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Unique identifier for the advertiser
1"12345"
Body
Request body for updating a property list
Updated name for the property list
1 - 255Updated domain list (convenience shorthand for identifiers with type: "domain"). If provided together with identifiers, both are merged. Replaces the existing identifier set entirely. Large lists are chunked server-side; the response includes a resolutionSummary with the counts.
1000001Updated typed identifiers (domains + bundles). Replaces the existing identifier set entirely when either domains or identifiers is provided.
100000Show child attributes
Show child attributes
Response
Update property list
Response containing a single property list
Property list resource representation
Show child attributes
Show child attributes